Bug 1070691 - test failing on big endians
test failing on big endians
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libcmis (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2014-02-27 06:15 EST by Dan Horák
Modified: 2014-03-06 03:12 EST (History)
2 users (show)

See Also:
Fixed In Version: libcmis-0.4.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-28 12:09:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2014-02-27 06:15:36 EST
a test is failing on s390 and ppc starting with version 0.4

from build.log

...
make[3]: Leaving directory `/builddir/build/BUILD/libcmis-0.4.1/qa/libcmis-c'
make  check-TESTS
make[3]: Entering directory `/builddir/build/BUILD/libcmis-0.4.1/qa/libcmis-c'
...........E.............................................................................................................
!!!FAILURES!!!
Test Results:
Run:  120   Failures: 0   Errors: 1
1) test: DocumentTest::getContentStreamBadAllocTest (E) 
uncaught exception of type St11logic_error
- basic_string::_S_construct null not valid
FAIL: test-api
==================
1 of 1 test failed
==================

for full logs please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1357653
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1682774

Version-Release number of selected component (if applicable):
libcmis-0.4.1-2.fc20
libcmis-0.4.1-2.fc21
Comment 1 Fedora Update System 2014-02-28 12:43:48 EST
libcmis-0.4.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libcmis-0.4.1-3.fc20
Comment 2 Fedora Update System 2014-03-06 03:12:39 EST
libcmis-0.4.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.